package intrinsic.mx.events;

public class ColorPickerEvent extends intrinsic.flash.events.Event {

	/** Accessors */

	/** Variables */
	public int index;
	public int color;

	/** Constants */
	public static final String ITEM_ROLL_OVER = "item_roll_over";
	public static final String ENTER = "enter";
	public static final String VERSION = "version";
	public static final String CHANGE = "change";
	public static final String ITEM_ROLL_OUT = "item_roll_out";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public ColorPickerEvent() {
}

public ColorPickerEvent(String arg0) {
}

public ColorPickerEvent(String arg0, boolean arg1) {
}

public ColorPickerEvent(String arg0, boolean arg1, boolean arg2) {
}

public ColorPickerEvent(String arg0, boolean arg1, boolean arg2, int arg3) {
}

public ColorPickerEvent(String arg0, boolean arg1, boolean arg2, int arg3, int arg4) {
}


/** Static Methods */

/** Methods */
public native Object clone();

}
